import { AuthenticatedRequest, Authenticator } from "../../Authenticator.js";

export interface CookieAuthenticatorOptions {
  credentials?: RequestCredentials;
}

export class CookieAuthenticator implements Authenticator {
  constructor(private options?: CookieAuthenticatorOptions) {}

  async authenticate(
    url: string,
    init: RequestInit
  ): Promise<AuthenticatedRequest> {
    const credentials = this.options?.credentials;
    return { url, init: { ...init, credentials } };
  }
}
