import { EntityRawSchemaArray } from "./Entities.js";
import { RelationDefinitionRawSchemaArray } from "./RelationDefinitions.js";

/**
 * The full raw JSON schema type as returned by the API.
 * You can export this schema from your CubicWeb instance using the command:
 *
 * `cubicweb-ctl export-schema -f typescript <YOUR_INSTANCE_NAME>`
 *
 * @category Schema
 */
export type RawSchema<
  E extends EntityRawSchemaArray = EntityRawSchemaArray,
  R extends RelationDefinitionRawSchemaArray<E> = RelationDefinitionRawSchemaArray<E>
> = {
  entities: E;
  relations_definitions: R;
};
