import { EntitySchema } from "@cubicweb/client";
import { EntityData } from "./types.js";
import { getFilterRestrictionClause } from "./rql.js";
import { RQLQueryRestrictions } from "./RqlQueryRestrictions.js";

export type Filter = RQLQueryRestrictions | EntityData;

export function filterToRQLQueryRestrictions(
  filter: Filter | undefined,
  entitySchema: EntitySchema
): RQLQueryRestrictions {
  if (filter) {
    return filter instanceof RQLQueryRestrictions
      ? filter
      : getFilterRestrictionClause(filter, entitySchema);
  }
  return new RQLQueryRestrictions("", {});
}
